<?php
/**
 * @version		$Id: modules.php 1.0 Dec 01, 2010 19:02:38Z OmegaTheme $
 * @package		OmegaTheme Joomla Template
 * @subpackage	MegaTech
 * @author		OmegaTheme (service@omegatheme.com)
 * @link 		http://www.omegatheme.com
 * @copyright	Copyright (C) 2008 - 2010 OmegaTheme
 * @license		GNU/GPL V2
 * @description	Overide module layout ( Module chrome function for rendering custom module). For common using.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

/*
 * Don't want to make more than one modChrome_xyz, so using conditional :-)
 */
function modChrome_mega($module, &$params, &$attribs)
{
	
	// init vars
	// some short-hand-define for saving time :-)
	$id              = $module->id;
	$position        = $module->position;
	$showtitle       = $module->showtitle;
	$content         = $module->content;
	$first           = $attribs['first'] ? 'first' : null;
	$last            = $attribs['last'] ? 'last' : null;
	$suffix          = $params->get('moduleclass_sfx', '');
	$sfx_params      = new megaTemplateParameter($suffix);
	$style           = $sfx_params->get('style');
	$badge           = $sfx_params->get('badge');
	$color           = $sfx_params->get('color');
	$icon            = $sfx_params->get('icon');

	// create title and subtitle if exit '||' in module's title
	//for example: creative soft || my family
	//when use subtitle, don't use partition title below
	$subtit   = JString::strpos($module->title, '||');
	$title = ($subtit != false) ? '<span class="title">'.JString::substr($module->title, 0, $subtit).'</span><span class="subtitle">'.JString::substr($module->title, $subtit + 2).'</span>' : $module->title;
	
	// partition title if exit '--' in module's title
	// this can only partition title to 2 parts
		/*
		$parttit = JString::strpos($module->title, '--');
		$title = ($parttit != false) ? '<span class="part0">'.JString::substr($module->title, 0, $parttit).'</span><span class="part1">'.JString::substr($module->title, $parttit + 2).'</span>' : $module->title;
		*/

	// To partition title to more than 2 parts, use this.
	// Certainly, we only use this if don't use the partitioner above
		// num_of_part parts (if found num_of_part '--' in module's title, certainly)
		// we can split to how many parts we want
	if ($subtit == false)
	{ // be sure we didn't use subtitle
		$num_of_part = 2; 
		$arrtitle = array();
		$arrtitle = explode('--',trim($module->title), $num_of_part);
		$title = '';
		foreach ($arrtitle as $index => $at) {
			$title .= '<span class="part'.$index.'">'.$at.'</span>';
		}
	}
	
	// legacy compatibility
	if ($suffix == 'blank' || $suffix == '-blank') $style = 'blank';
	if ($suffix == 'menu' || $suffix == '_menu') $style = 'menu';

	// set default module types
	if ($style == '')
	{
		if ($module->position == 'user4') $style = 'blank';
		if ($module->position == 'menu') $style = 'raw';
		if ($module->position == 'breadcrumb') $style = 'raw';
		if ($module->position == 'slideshow') $style = 'blank';
		if ($module->position == 'featured-contents') $style = 'blank';
		if ($module->position == 'middle') $style = 'blank';
		if ($module->position == 'bottom') $style = 'raw';
	}

	// force module style
	if (($style == 'menu') && ($module->position != 'menu')) {
		$suffix = $style;
	}
	// set badge if exists
	if ($badge) {
		$badge = '<div class="badge badge-'.$badge.'"></div>';
	}
	
	// set icon if exists
	if ($icon) {
		$title = '<span class="icon icon-'.$icon.'"></span>'.$title.'';
	}
	
	// set module template using the style
	switch ($style)
	{
		case 'blank':
			$layout  = 'default';
			$style     = 'mod-'.$style.$suffix;
			break;
		case 'raw':
			$layout  = 'raw';
			break;
		case 'menu':
			$layout  = 'default';
			$style   =  'mod-'.$suffix;
			break;
		default:
			$layout  = 'default';
			$style   =  $suffix;
	}
	// special
	
	// include layout file
	$file = dirname(dirname(__FILE__))."/libs/MegaModuleLayouts/{$layout}.php";
	if (is_file($file)) {
		include($file);
	}
}
